
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.sky.scientific.pojo.dto.XmCqdtfyDTO;
import org.sky.scientific.pojo.entity.XmCqdtfyEntity;
import org.sky.scientific.pojo.vo.XmCqdtfyVO;
import org.sky.scientific.excel.XmCqdtfyExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.sky.core.mp.base.BaseService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 长期待摊费用分配表 服务类
 *
 * @author Kd
 * @since 2025-07-24
 */
public interface IXmCqdtfyService extends BaseService<XmCqdtfyEntity> {

	/**
	 * 分页
	 * @param page
	 * @param dto
	 * @return
	 */
	IPage<XmCqdtfyVO> selectPageByCondition(IPage<XmCqdtfyVO> page, XmCqdtfyDTO dto);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<XmCqdtfyExcel>
	 */
	List<XmCqdtfyExcel> exportXmCqdtfy(Wrapper<XmCqdtfyEntity> queryWrapper);

	void importData(MultipartFile file, String yearAndMonth);

	boolean submit(XmCqdtfyEntity entity);

	boolean physicalDeleteByIds(List<Long> ids);

	boolean fetchLastMonthData(String yearAndMonth);
}
